<?php
/**
 * TGM implementation.
 *
 * @package Trade_Line
 */

require_once get_template_directory() . '/lib/tgm/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'trade_line_register_recommended_plugins' );

/**
 * Register recommended plugins.
 *
 * @since 1.0.0
 */
function trade_line_register_recommended_plugins() {

	// Plugins.
	$plugins = array(
		array(
			'name' => __( 'Breadcrumb NavXT', 'trade-line-pro' ),
			'slug' => 'breadcrumb-navxt',
		),
		array(
			'name' => __( 'WEN Featured Image', 'trade-line-pro' ),
			'slug' => 'wen-featured-image',
		),
	);

	if ( ! class_exists( 'Essential_Content_Types_Pro' ) ) {
		$plugins[] = array(
			'name' => 'Essential Content Types', // Plugin Name, translation not required.
			'slug' => 'essential-content-types',
		);
	}

	// TGM configurations.
	$config = array();

	// Register now.
	tgmpa( $plugins, $config );

}

